<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [nextMutation](./bitburner.darknet.nextmutation.md)

## Darknet.nextMutation() method

Sleep until the next mutation of the network of darknet servers (which occur frequently). Note that in the majority of cases, whatever changed out on the net (if anything) will not be nearby to, or visible from, the current server.

Some possible mutations that can occur somewhere on the darknet each cycle:

- Nothing changes.

- Some servers move to other locations on the net, breaking existing connections and forming new ones.

- Some servers go offline, which in many cases is permanent - they are effectively deleted.

- Some servers restart, which kills all running scripts on the server.

- New servers appear on the net (which may be previously offline servers, but cleaned and with a new password).

**Signature:**

```typescript
nextMutation(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

## Remarks

RAM cost: 0 GB

